//---------------------------------------------------------------------------

#ifndef SettingsH
#define SettingsH

#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "FloatEdit.hpp"

//---------------------------------------------------------------------------

class TSettingsForm : public TForm
{
__published:	// IDE-managed Components
  TGroupBox *GroupBox1;
  TScrollBar *sbContr;
  TGroupBox *GroupBox2;
  TScrollBar *sbCf;
  TScrollBar *sbCa;
  TButton *btOk;
  TButton *btCancel;
  TScrollBar *sbCb;
  TLabel *Label1;
  TLabel *Label2;
  TLabel *Label3;
  TFloatEdit *feCf;
  TFloatEdit *feCa;
  TFloatEdit *feCb;
  TFloatEdit *feContr;
  TButton *btSave;
  TButton *btRefresh;
  TLabel *Label4;
  TLabel *Label5;
  TLabel *Label6;
  TLabel *Label7;
  TScrollBar *sbCc;
  TLabel *Label8;
  TFloatEdit *feCc;
  TLabel *Label9;
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall FormKeyPress(TObject *Sender, char &Key);
  void __fastcall sbContrChange(TObject *Sender);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall sbCfChange(TObject *Sender);
  void __fastcall sbCbChange(TObject *Sender);
  void __fastcall btCancelClick(TObject *Sender);
  void __fastcall btOkClick(TObject *Sender);
  void __fastcall feContrChanged(TObject *Sender);
  void __fastcall sbCaChange(TObject *Sender);
  void __fastcall feCfChanged(TObject *Sender);
  void __fastcall feCaChanged(TObject *Sender);
  void __fastcall feCbChanged(TObject *Sender);
  void __fastcall btSaveClick(TObject *Sender);
  void __fastcall btRefreshClick(TObject *Sender);
  void __fastcall sbCcChange(TObject *Sender);
  void __fastcall feCcChanged(TObject *Sender);
  void __fastcall feCfEnter(TObject *Sender);
  void __fastcall feCaEnter(TObject *Sender);
  void __fastcall feCbEnter(TObject *Sender);
  void __fastcall feCcEnter(TObject *Sender);
private:	// User declarations
  bool FLock;
  bool FModified;
  unsigned char Cont;
  int CalF, CalA, CalB, CalC;
  signed char OffAL, OffAH;
  signed char OffBL, OffBH;
  void __fastcall ReadCalib(void);
public:		// User declarations
  __fastcall TSettingsForm(TComponent* Owner);
};

//---------------------------------------------------------------------------

extern PACKAGE TSettingsForm *SettingsForm;

//---------------------------------------------------------------------------

#endif
